require "Hotbar/ISHotbar"

function ISHotbar:equipItem(item) --hotbar equip logic, this is called when you hit 1234
	ISInventoryPaneContextMenu.transferIfNeeded(self.chr, item)

	local equip = true;
	if self.chr:getPrimaryHandItem() == item then
		ISTimedActionQueue.add(ISUnequipAction:new(self.chr, item, 20));
		equip = false;
	end
	if equip and self.chr:getSecondaryHandItem() == item then
		ISTimedActionQueue.add(ISUnequipAction:new(self.chr, item, 20));
		equip = false;
	end

	if equip then
		local primary = self.chr:getPrimaryHandItem()
		if primary and self:isInHotbar(primary) then --if primary item then unequip
			ISTimedActionQueue.add(ISUnequipAction:new(self.chr, primary, 20));
		end
		-- Drop corpse or generator
		if isForceDropHeavyItem(primary) then
			ISTimedActionQueue.add(ISUnequipAction:new(self.chr, primary, 50));
		end

		--swap it start -- equipped weapon replaces hotslot called
		local slotinuse = item:getAttachedSlot();
    local slot = self.availableSlot[slotinuse];
    if(primary and self:canBeAttached(slot, primary)) then
      self:removeItem(item, false);--false = don't run animation
			self:attachItem(primary, slot.def.attachments[primary:getAttachmentType()], slotinuse, slot.def, true);
    end
		-- swap it end

		ISTimedActionQueue.add(ISEquipWeaponAction:new(self.chr, item, 20, true, item:isTwoHandWeapon()));
	end
	
	self.chr:getInventory():setDrawDirty(true);
	getPlayerData(self.chr:getPlayerNum()).playerInventory:refreshBackpacks();
--	self:refresh();
end
